# RECOLA2-COLLIER PACKAGE README #

* Version 2.2.2

* * *

**Recola2** is a *Fortran95* computer program for the *automated* generation and *numerical* evaluation of amplitudes in *general* quantum field theories at *one-loop* order. It is built on top of [Recola][1] and [Collier][2].

* * *

### External dependencies

+ [CMake][3] build system

* * *

### **QUICK** configuration and installation

In order to run the configuration switch to the (top-level) build directory and run cmake

    cd build
    cmake .. -Dmodel=<model>

where \<model\> can take the values SM, SM_BFM, HS, HS_BFM, THDM, THDM_BFM or it can be a *relative* or *absolute* path to the model file source files.

The package is compiled (parallelized) via

    make -j <THREADS>

where \<THREADS\> is the number of compilation units.

The whole package is automatically installed to the *install* directory relative to the top-level *CMakeLists.txt*. A different installation path can chosen by setting the CMAKE_INSTALL_PREFIX variable. For instance, the configuration and compilation of the SM model file and the installation to $HOME can be achieved as follows: 

    cmake .. -Dmodel=SM -DCMAKE_INSTALL_PREFIX=$HOME
    make -j 4

Changing the model file requires reconfiguration and compilation of the package with a different model (path). See the *Recola2* and *Collier* CMake configurations for more options.

* * *

### Running demo files

The *Recola2* demo files are located in:
  
    recola2-X.Y.Z/demos

The Fortran and C++ demo files can be run by invoking the run script

    ./run <demofile>

where \<demofile\> can be demo{i}_rcl, cdemo{i}_rcl (i=0,..5). The python demo files can be run directly

    python <demofile>

with \<demofile\> taking the values pydemo{i}_rcl.py (i=0,..5).

* * *

### Setting up custom demo files

Adding new demo files to the demos directory requires to follow the naming conventions

+ Fortran: demo*_rcl.f90,
+ C++:     cdemo*_rcl.cpp,

otherwise sources will not be added to the list of executables by the CMake configuration. Here, the * is a wildcard accepting arbitrary character strings. The compilation source files added after the initial configuration requires reconfiguration of the recola2-collier package by switching to the top-level build folder and running

    cmake [options] ..

Alternatively, the recola2 library can be used in an external project as exemplified in project_cmake (see the official manual). Note that the Python demo files can have arbitrary names as they are not compiled.

* * *

### Contact ###

+ Jean-Nicolas Lang <jlang@physik.uni-wuerzburg.de>
+ Sandro Uccirati <uccirati@to.infn.it>
+ Ansgar Denner <denner@physik.uni-wuerzburg.de>

* * *

[1]: http://recola.hepforge.org/          "recola@hepforge"
[2]: http://collier.hepforge.org/         "collier@hepforge"
[3]: https://cmake.org/                   "CMake.org"
